Build #1 for composite-opaleye-0.5.2.0

[all reports]

Package composite-opaleye-0.5.2.0
Install InstallOk
Docs Ok
Tests NotTried
Time submitted 2017-09-13 19:36:59.105702333 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies base-4.9.1.0, bytestring-0.10.8.1, composite-base-0.5.2.0, lens-4.15.4, opaleye-0.5.4.0, postgresql-simple-0.5.3.0, product-profunctors-0.8.0.3, profunctors-5.2.1, template-haskell-2.11.1.0, text-1.2.2.2, vinyl-0.6.0
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring base-compat-0.9.3...
Configuring base16-bytestring-0.1.1.6...
Building base-compat-0.9.3...
Building base16-bytestring-0.1.1.6...
Configuring base-orphans-0.6...
Installed base16-bytestring-0.1.1.6
Building base-orphans-0.6...
Installed base-compat-0.9.3
Configuring bytestring-builder-0.10.8.1.0...
Building bytestring-builder-0.10.8.1.0...
Configuring cabal-doctest-1.0.2...
Installed base-orphans-0.6
Configuring cryptohash-md5-0.11.100.1...
Installed bytestring-builder-0.10.8.1.0
Building cabal-doctest-1.0.2...
Building cryptohash-md5-0.11.100.1...
Configuring call-stack-0.1.0...
Installed cryptohash-md5-0.11.100.1
Configuring cryptohash-sha1-0.11.100.1...
Installed cabal-doctest-1.0.2
Building call-stack-0.1.0...
Building cryptohash-sha1-0.11.100.1...
Configuring entropy-0.3.8...
Installed call-stack-0.1.0
Configuring dlist-0.8.0.3...
Installed cryptohash-sha1-0.11.100.1
Building dlist-0.8.0.3...
Building entropy-0.3.8...
Configuring fail-4.9.0.0...
Installed dlist-0.8.0.3
Building fail-4.9.0.0...
Configuring mtl-2.2.1...
Installed fail-4.9.0.0
Building mtl-2.2.1...
Warning: /tmp/pkgConf-entropy-0.34917054031918502651.8: Unrecognized field
dynamic-library-dirs on line 26
Configuring integer-logarithms-1.0.2...
Installed entropy-0.3.8
Building integer-logarithms-1.0.2...
Configuring network-info-0.2.0.8...
Installed integer-logarithms-1.0.2
Building network-info-0.2.0.8...
Configuring parallel-3.2.1.1...
Installed mtl-2.2.1
Building parallel-3.2.1.1...
Configuring postgresql-libpq-0.9.3.1...
Installed network-info-0.2.0.8
Configuring prelude-extras-0.4.0.3...
Installed parallel-3.2.1.1
Building prelude-extras-0.4.0.3...
Building postgresql-libpq-0.9.3.1...
Configuring random-1.1...
Installed prelude-extras-0.4.0.3
Building random-1.1...
Warning: /tmp/pkgConf-postgresql-libpq-0.9.31036140795463480570.1:
Unrecognized field dynamic-library-dirs on line 28
Configuring reflection-2.1.2...
Installed postgresql-libpq-0.9.3.1
Building reflection-2.1.2...
Configuring primitive-0.6.2.0...
Installed random-1.1
Building primitive-0.6.2.0...
Configuring semigroups-0.18.3...
Installed reflection-2.1.2
Building semigroups-0.18.3...
Configuring stm-2.4.4.1...
Installed semigroups-0.18.3
Building stm-2.4.4.1...
Configuring th-abstraction-0.2.6.0...
Installed primitive-0.6.2.0
Building th-abstraction-0.2.6.0...
Configuring text-1.2.2.2...
Installed stm-2.4.4.1
Building text-1.2.2.2...
Configuring time-locale-compat-0.1.1.3...
Installed th-abstraction-0.2.6.0
Building time-locale-compat-0.1.1.3...
Configuring transformers-compat-0.5.1.4...
Installed time-locale-compat-0.1.1.3
Building transformers-compat-0.5.1.4...
Configuring void-0.7.2...
Installed transformers-compat-0.5.1.4
Building void-0.7.2...
Configuring vinyl-0.6.0...
Installed void-0.7.2
Building vinyl-0.6.0...
Installed vinyl-0.6.0
Configuring vector-0.12.0.1...
Building vector-0.12.0.1...
Configuring StateVar-1.1.0.4...
Installed text-1.2.2.2
Building StateVar-1.1.0.4...
Configuring tagged-0.8.5...
Installed StateVar-1.1.0.4
Building tagged-0.8.5...
Configuring transformers-base-0.4.4...
Installed tagged-0.8.5
Building transformers-base-0.4.4...
Configuring exceptions-0.8.3...
Installed transformers-base-0.4.4
Building exceptions-0.8.3...
Installed exceptions-0.8.3
Configuring hashable-1.2.6.1...
Building hashable-1.2.6.1...
Configuring contravariant-1.4...
Installed hashable-1.2.6.1
Building contravariant-1.4...
Configuring monad-control-1.0.2.2...
Installed contravariant-1.4
Building monad-control-1.0.2.2...
Configuring distributive-0.5.3...
Installed vector-0.12.0.1
Installed monad-control-1.0.2.2
Configuring scientific-0.3.5.2...
Building scientific-0.3.5.2...
Building distributive-0.5.3...
Warning: /tmp/pkgConf-distributive-0.51869470124155324914.3: Unrecognized
field dynamic-library-dirs on line 22
Configuring case-insensitive-1.2.0.10...
Installed distributive-0.5.3
Building case-insensitive-1.2.0.10...
Configuring uuid-types-1.0.3...
Installed scientific-0.3.5.2
Building uuid-types-1.0.3...
Configuring unordered-containers-0.2.8.0...
Installed case-insensitive-1.2.0.10
Building unordered-containers-0.2.8.0...
Installed uuid-types-1.0.3
Configuring comonad-5.0.2...
Building comonad-5.0.2...
Configuring attoparsec-0.13.2.0...
Installed unordered-containers-0.2.8.0
Building attoparsec-0.13.2.0...
Warning: /tmp/pkgConf-comonad-5.012390360291884661237.2: Unrecognized field
dynamic-library-dirs on line 29
Configuring uuid-1.3.13...
Installed comonad-5.0.2
Building uuid-1.3.13...
Installed uuid-1.3.13
Configuring bifunctors-5.4.2...
Building bifunctors-5.4.2...
Installed attoparsec-0.13.2.0
Configuring aeson-1.2.1.0...
Building aeson-1.2.1.0...
Installed bifunctors-5.4.2
Configuring profunctors-5.2.1...
Building profunctors-5.2.1...
Configuring semigroupoids-5.2.1...
Installed profunctors-5.2.1
Building semigroupoids-5.2.1...
Configuring product-profunctors-0.8.0.3...
Installed aeson-1.2.1.0
Building product-profunctors-0.8.0.3...
Warning: /tmp/pkgConf-semigroupoids-5.2706043324496987743.1: Unrecognized
field dynamic-library-dirs on line 60
Installed semigroupoids-5.2.1
Configuring postgresql-simple-0.5.3.0...
Building postgresql-simple-0.5.3.0...
Configuring free-4.12.4...
Installed product-profunctors-0.8.0.3
Building free-4.12.4...
Installed postgresql-simple-0.5.3.0
Configuring opaleye-0.5.4.0...
Building opaleye-0.5.4.0...
Installed free-4.12.4
Configuring adjunctions-4.3...
Building adjunctions-4.3...
Installed opaleye-0.5.4.0
Installed adjunctions-4.3
Configuring kan-extensions-5.0.2...
Building kan-extensions-5.0.2...
Installed kan-extensions-5.0.2
Configuring lens-4.15.4...
Building lens-4.15.4...
Warning: /tmp/pkgConf-lens-4.15133535434087755422.4: Unrecognized field
dynamic-library-dirs on line 122
Installed lens-4.15.4
Downloading composite-base-0.5.2.0...
Configuring composite-base-0.5.2.0...
Building composite-base-0.5.2.0...
Installed composite-base-0.5.2.0
Downloading composite-opaleye-0.5.2.0...
Configuring composite-opaleye-0.5.2.0...
Building composite-opaleye-0.5.2.0...
Installed composite-opaleye-0.5.2.0